# Ich lasse jetzt noch mal den BB1-Code mit r=500 durchlaufen
# ndert sich was?

# Common settings
options(digits=3)
library("mvtnorm", lib.loc="../../myrlibrary")
library("mlCopulaSelection", lib.loc="../../myrlibrary")
library("scatterplot3d", lib.loc="../../myrlibrary")
library("mnormt", lib.loc="../../myrlibrary")
library("sn", lib.loc="../../myrlibrary")
library("pspline", lib.loc="../../myrlibrary")
library("timeDate", lib.loc="../../myrlibrary")
library("copula", lib.loc="../../myrlibrary")
library("igraph", lib.loc="../../myrlibrary")
library("CDVineMLE", lib.loc="../../myrlibrary")

source("simFunctions.r")

r=500
n=2000
copula="BB1"
fam=7
d=4
dd=6
fam=rep(fam,dd)

# one plot with tau low (tau = 0.2) and symmetric tail-dependence
delta1=1.0912
theta1=0.2910
# one plot with tau high (tau = 0.8) and symmetric tail-dependence
delta2=3.5652
theta2=0.8048
# one plot with tau high (tau = 0.8) and 2*lambda_L=lambda_U
delta3=4.6018
theta3=0.1730
# one plot with tau high (tau = 0.8) and 1/2*lambda_L=lambda_U
delta4=1.5856
theta4=4.3067

param1=c(theta1,delta1)
param2=c(theta2,delta2)
param3=c(theta3,delta3)
param4=c(theta4,delta4)


testMLE<-function(r,n,d,fam,theta,delta)
{
	dd=d*(d-1)/2
	daten=matrix(0,nrow=n,ncol=d)
	paramMLE=matrix(0,nrow=r,ncol=dd+dd)

	for(i in 1:r)
	{
		daten=SimulateCopulaVine(n,d,fam,theta,delta,1)
		paramMLE[i,]=VineMLE(daten,fam,1000,type=1)$par
	}
return(paramMLE)
}


theta=c(rep(theta2,3),rep(theta1,3))
delta=c(rep(delta2,3),rep(delta1,3))
paramMLE_BB1_S2_K2_2000_500=testMLE(r,n,d,fam,theta,delta)
write(t(paramMLE_BB1_S2_K2_2000_500),file="paramMLE_BB1_S2_K2_2000_500.txt", ncolumns=12)


n=500
paramMLE_BB1_S2_K2_500_500=testMLE(r,n,d,fam,theta,delta)
write(t(paramMLE_BB1_S2_K2_500_500),file="paramMLE_BB1_S2_K2_500_500.txt", ncolumns=12)

#####################################################

# Auswertung

# Auswertung fr 500

paramMLE_BB1_S2_K2_500=read.table("paramMLE_BB1_S2_K2_500_500.txt")

copulas=c("BB1","BB1","BB1","BB1","BB1","BB1")

# 1. Parameter
param1_BB1=c(rep(0.8048,3),rep(0.2910,3))
mittelwert1_BB1=rep(0,6)
trim_mean1_BB1=rep(0,6)
bias1_BB1=rep(0,6)
Varianz1_BB1=rep(0,6)
MSE1_BB1=rep(0,6)

# 2. Parameter
param2_BB1=c(rep(3.5652,3),rep(1.0912,3))
mittelwert2_BB1=rep(0,6)
trim_mean2_BB1=rep(0,6)
bias2_BB1=rep(0,6)
Varianz2_BB1=rep(0,6)
MSE2_BB1=rep(0,6)

# Kendall's tau
tau=c(rep(0.8,3),rep(0.2,3))
paramMLE_tau_BB1_500=matrix(0, ncol=6,nrow=500)
mittelwert_tau_BB1=rep(0,6)
trim_mean_tau_BB1=rep(0,6)
bias_tau_BB1=rep(0,6)
Varianz_tau_BB1=rep(0,6)
MSE_tau_BB1=rep(0,6)

# upper tail dependence
MLE_lambda_BB1_500=matrix(0, ncol=6,nrow=500)
lambda_BB1=c(rep(0.7854,3),rep(0.1126,3))
mittelwert_lambda_BB1=rep(0,6)
trim_mean_lambda_BB1=rep(0,6)
bias_lambda_BB1=rep(0,6)
Varianz_lambda_BB1=rep(0,6)
MSE_lambda_BB1=rep(0,6)

param=rep(0,2)
l=1
for(i in 1:6)
{
	for(j in 1:500)
	{
		param=c(paramMLE_BB1_S2_K2_500[j,i],paramMLE_BB1_S2_K2_500[j,i+6])
		paramMLE_tau_BB1_500[j,i]=ftau(param,"BB1")
		MLE_lambda_BB1_500[j,i]=2-2^(1/param[2])
	}
}



	for (i in 1:6)
	{
		# 1. Parameter
		#param=parameter(copulas[i],tau[i],lambda_BB1[i])
		mittelwert1_BB1[i]=mean(paramMLE_BB1_S2_K2_500[,i])
		trim_mean1_BB1[i]=mean(paramMLE_BB1_S2_K2_500[,i], trim=0.05)
		bias1_BB1[i]=mittelwert1_BB1[i]-param1_BB1[i]
		Varianz1_BB1[i]=1/(r-1)*sum((paramMLE_BB1_S2_K2_500[,i]-mittelwert1_BB1[i])^2)
		MSE1_BB1[i]=Varianz1_BB1[i]+bias1_BB1[i]^2

		# 2. Parameter
		mittelwert2_BB1[i]=mean(paramMLE_BB1_S2_K2_500[,i+6])
		trim_mean2_BB1[i]=mean(paramMLE_BB1_S2_K2_500[,i+6], trim=0.05)
		bias2_BB1[i]=mittelwert2_BB1[i]-param2_BB1[i]
		Varianz2_BB1[i]=1/(r-1)*sum((paramMLE_BB1_S2_K2_500[,i+6]-mittelwert2_BB1[i])^2)
		MSE2_BB1[i]=Varianz2_BB1[i]+bias2_BB1[i]^2

		# Kendall's tau
		mittelwert_tau_BB1[i]=mean(paramMLE_tau_BB1_500[,i])
		trim_mean_tau_BB1[i]=mean(paramMLE_tau_BB1_500[,i], trim=0.05)
		bias_tau_BB1[i]=mittelwert_tau_BB1[i]-tau[i]
		Varianz_tau_BB1[i]=1/(r-1)*sum((paramMLE_tau_BB1_500[,i]-mittelwert_tau_BB1[i])^2)
		MSE_tau_BB1[i]=Varianz_tau_BB1[i]+bias_tau_BB1[i]^2

		# upper tail dependence
		mittelwert_lambda_BB1[i]=mean(MLE_lambda_BB1_500[,i])
		trim_mean_lambda_BB1[i]=mean(MLE_lambda_BB1_500[,i], trim=0.05)
		bias_lambda_BB1[i]=mittelwert_lambda_BB1[i]-lambda_BB1[i]
		Varianz_lambda_BB1[i]=1/(r-1)*sum((MLE_lambda_BB1_500[,i]-mittelwert_lambda_BB1[i])^2)
		MSE_lambda_BB1[i]=Varianz_lambda_BB1[i]+bias_lambda_BB1[i]^2
		
	}



parameter_vektor=rep(0,12)
mean_vektor=rep(0,12)
trim_mean_vektor=rep(0,12)
bias_vektor=rep(0,12)
Varianz_vektor=rep(0,12)
MSE_vektor=rep(0,12)
k=1
for(i in 1:6)
{
parameter_vektor[k]=param1_BB1[i]
mean_vektor[k]=mittelwert1_BB1[i]
trim_mean_vektor[k]=trim_mean1_BB1[i]
bias_vektor[k]=bias1_BB1[i]
Varianz_vektor[k]=Varianz1_BB1[i]
MSE_vektor[k]=MSE1_BB1[i]
k=k+1
parameter_vektor[k]=param2_BB1[i]
mean_vektor[k]=mittelwert2_BB1[i]
trim_mean_vektor[k]=trim_mean2_BB1[i]
bias_vektor[k]=bias2_BB1[i]
Varianz_vektor[k]=Varianz2_BB1[i]
MSE_vektor[k]=MSE2_BB1[i]
k=k+1
}
parameter_matrix=cbind(parameter_vektor,mean_vektor,trim_mean_vektor,bias_vektor,Varianz_vektor,MSE_vektor)
tau_matrix=cbind(tau,mittelwert_tau_BB1,trim_mean_tau_BB1,bias_tau_BB1,Varianz_tau_BB1,MSE_tau_BB1)
lambda_matrix=cbind(lambda_BB1,mittelwert_lambda_BB1,trim_mean_lambda_BB1,bias_lambda_BB1,Varianz_lambda_BB1,MSE_lambda_BB1)

tabelle=rbind(parameter_matrix,tau_matrix,lambda_matrix)

ergeb=xtable(tabelle, digits=4, caption="Results of the simulation tests of the BB1-copula in different scenarios. (n=500, r=500)")
print(ergeb, type="latex", include.rownames = FALSE,include.colnames=FALSE, floating = TRUE)


\begin{table}[ht]
\begin{center}
\begin{tabular}{rrrrrr}
  \hline
  \hline
0.8048 & 0.7887 & 0.7918 & -0.0161 & 0.0215 & 0.0218 \\ 
  3.5652 & 3.5889 & 3.5830 & 0.0237 & 0.0549 & 0.0554 \\ 
  0.8048 & 0.7624 & 0.7756 & -0.0424 & 0.0349 & 0.0367 \\ 
  3.5652 & 3.6193 & 3.6036 & 0.0541 & 0.0731 & 0.0760 \\ 
  0.8048 & 0.7529 & 0.7677 & -0.0519 & 0.0470 & 0.0497 \\ 
  3.5652 & 3.6353 & 3.6110 & 0.0701 & 0.0972 & 0.1021 \\ 
  0.2910 & 0.2836 & 0.2827 & -0.0074 & 0.0083 & 0.0083 \\ 
  1.0912 & 1.0967 & 1.0961 & 0.0055 & 0.0021 & 0.0021 \\ 
  0.2910 & 0.2875 & 0.2859 & -0.0035 & 0.0083 & 0.0083 \\ 
  1.0912 & 1.0907 & 1.0898 & -0.0005 & 0.0021 & 0.0021 \\ 
  0.2910 & 0.3032 & 0.3024 & 0.0122 & 0.0090 & 0.0092 \\ 
  1.0912 & 1.0914 & 1.0905 & 0.0002 & 0.0021 & 0.0021 \\ 
  0.8000 & 0.7993 & 0.7995 & -0.0007 & 0.0001 & 0.0001 \\ 
  0.8000 & 0.7988 & 0.7989 & -0.0012 & 0.0001 & 0.0001 \\ 
  0.8000 & 0.7986 & 0.7988 & -0.0014 & 0.0001 & 0.0001 \\ 
  0.2000 & 0.1996 & 0.1999 & -0.0004 & 0.0008 & 0.0008 \\ 
  0.2000 & 0.1965 & 0.1968 & -0.0035 & 0.0009 & 0.0009 \\ 
  0.2000 & 0.2025 & 0.2026 & 0.0025 & 0.0008 & 0.0008 \\ 
  0.7854 & 0.7859 & 0.7859 & 0.0005 & 0.0002 & 0.0002 \\ 
  0.7854 & 0.7876 & 0.7872 & 0.0022 & 0.0003 & 0.0003 \\ 
  0.7854 & 0.7882 & 0.7875 & 0.0028 & 0.0003 & 0.0003 \\ 
  0.1126 & 0.1159 & 0.1162 & 0.0033 & 0.0024 & 0.0024 \\ 
  0.1126 & 0.1092 & 0.1093 & -0.0034 & 0.0025 & 0.0025 \\ 
  0.1126 & 0.1100 & 0.1100 & -0.0026 & 0.0025 & 0.0025 \\ 
   \hline
\end{tabular}
\caption{Results of the simulation tests of the BB1-copula in different scenarios. (n=500, r=500)}
\end{center}
\end{table}




# Auswertung fr BB1 mit 2000

paramMLE_BB1_S2_K2_2000=read.table("paramMLE_BB1_S2_K2_2000_500.txt")

copulas=c("BB1","BB1","BB1","BB1","BB1","BB1")

# 1. Parameter
param1_BB1=c(rep(0.8048,3),rep(0.2910,3))
mittelwert1_BB1=rep(0,6)
trim_mean1_BB1=rep(0,6)
bias1_BB1=rep(0,6)
Varianz1_BB1=rep(0,6)
MSE1_BB1=rep(0,6)

# 2. Parameter
param2_BB1=c(rep(3.5652,3),rep(1.0912,3))
mittelwert2_BB1=rep(0,6)
trim_mean2_BB1=rep(0,6)
bias2_BB1=rep(0,6)
Varianz2_BB1=rep(0,6)
MSE2_BB1=rep(0,6)

# Kendall's tau
tau=c(rep(0.8,3),rep(0.2,3))
paramMLE_tau_BB1_2000=matrix(0, ncol=6,nrow=500)
mittelwert_tau_BB1=rep(0,6)
trim_mean_tau_BB1=rep(0,6)
bias_tau_BB1=rep(0,6)
Varianz_tau_BB1=rep(0,6)
MSE_tau_BB1=rep(0,6)

# upper tail dependence
MLE_lambda_BB1_2000=matrix(0, ncol=6,nrow=500)
lambda_BB1=c(rep(0.7854,3),rep(0.1126,3))
mittelwert_lambda_BB1=rep(0,6)
trim_mean_lambda_BB1=rep(0,6)
bias_lambda_BB1=rep(0,6)
Varianz_lambda_BB1=rep(0,6)
MSE_lambda_BB1=rep(0,6)

param=rep(0,2)
l=1
for(i in 1:6)
{
	for(j in 1:500)
	{
		param=c(paramMLE_BB1_S2_K2_2000[j,i],paramMLE_BB1_S2_K2_2000[j,i+6])
		paramMLE_tau_BB1_2000[j,i]=ftau(param,"BB1")
		MLE_lambda_BB1_2000[j,i]=2-2^(1/param[2])
	}
}



	for (i in 1:6)
	{
		# 1. Parameter
		#param=parameter(copulas[i],tau[i],lambda_BB1[i])
		mittelwert1_BB1[i]=mean(paramMLE_BB1_S2_K2_2000[,i])
		trim_mean1_BB1[i]=mean(paramMLE_BB1_S2_K2_2000[,i], trim=0.05)
		bias1_BB1[i]=mittelwert1_BB1[i]-param1_BB1[i]
		Varianz1_BB1[i]=1/(r-1)*sum((paramMLE_BB1_S2_K2_2000[,i]-mittelwert1_BB1[i])^2)
		MSE1_BB1[i]=Varianz1_BB1[i]+bias1_BB1[i]^2

		# 2. Parameter
		mittelwert2_BB1[i]=mean(paramMLE_BB1_S2_K2_2000[,i+6])
		trim_mean2_BB1[i]=mean(paramMLE_BB1_S2_K2_2000[,i+6], trim=0.05)
		bias2_BB1[i]=mittelwert2_BB1[i]-param2_BB1[i]
		Varianz2_BB1[i]=1/(r-1)*sum((paramMLE_BB1_S2_K2_2000[,i+6]-mittelwert2_BB1[i])^2)
		MSE2_BB1[i]=Varianz2_BB1[i]+bias2_BB1[i]^2

		# Kendall's tau
		mittelwert_tau_BB1[i]=mean(paramMLE_tau_BB1_2000[,i])
		trim_mean_tau_BB1[i]=mean(paramMLE_tau_BB1_2000[,i], trim=0.05)
		bias_tau_BB1[i]=mittelwert_tau_BB1[i]-tau[i]
		Varianz_tau_BB1[i]=1/(r-1)*sum((paramMLE_tau_BB1_2000[,i]-mittelwert_tau_BB1[i])^2)
		MSE_tau_BB1[i]=Varianz_tau_BB1[i]+bias_tau_BB1[i]^2

		# upper tail dependence
		mittelwert_lambda_BB1[i]=mean(MLE_lambda_BB1_2000[,i])
		trim_mean_lambda_BB1[i]=mean(MLE_lambda_BB1_2000[,i], trim=0.05)
		bias_lambda_BB1[i]=mittelwert_lambda_BB1[i]-lambda_BB1[i]
		Varianz_lambda_BB1[i]=1/(r-1)*sum((MLE_lambda_BB1_2000[,i]-mittelwert_lambda_BB1[i])^2)
		MSE_lambda_BB1[i]=Varianz_lambda_BB1[i]+bias_lambda_BB1[i]^2
		
	}



parameter_vektor=rep(0,12)
mean_vektor=rep(0,12)
trim_mean_vektor=rep(0,12)
bias_vektor=rep(0,12)
Varianz_vektor=rep(0,12)
MSE_vektor=rep(0,12)
k=1
for(i in 1:6)
{
parameter_vektor[k]=param1_BB1[i]
mean_vektor[k]=mittelwert1_BB1[i]
trim_mean_vektor[k]=trim_mean1_BB1[i]
bias_vektor[k]=bias1_BB1[i]
Varianz_vektor[k]=Varianz1_BB1[i]
MSE_vektor[k]=MSE1_BB1[i]
k=k+1
parameter_vektor[k]=param2_BB1[i]
mean_vektor[k]=mittelwert2_BB1[i]
trim_mean_vektor[k]=trim_mean2_BB1[i]
bias_vektor[k]=bias2_BB1[i]
Varianz_vektor[k]=Varianz2_BB1[i]
MSE_vektor[k]=MSE2_BB1[i]
k=k+1
}
parameter_matrix=cbind(parameter_vektor,mean_vektor,trim_mean_vektor,bias_vektor,Varianz_vektor,MSE_vektor)
tau_matrix=cbind(tau,mittelwert_tau_BB1,trim_mean_tau_BB1,bias_tau_BB1,Varianz_tau_BB1,MSE_tau_BB1)
lambda_matrix=cbind(lambda_BB1,mittelwert_lambda_BB1,trim_mean_lambda_BB1,bias_lambda_BB1,Varianz_lambda_BB1,MSE_lambda_BB1)

tabelle=rbind(parameter_matrix,tau_matrix,lambda_matrix)

ergeb=xtable(tabelle, digits=4, caption="Results of the simulation tests of the BB1-copula in different scenarios. (n=2000, r=500)")
print(ergeb, type="latex", include.rownames = FALSE,include.colnames=FALSE, floating = TRUE)

\begin{table}[ht]
\begin{center}
\begin{tabular}{rrrrrr}
  \hline
  \hline
0.8048 & 0.7813 & 0.7826 & -0.0235 & 0.0057 & 0.0063 \\ 
  3.5652 & 3.5859 & 3.5858 & 0.0207 & 0.0137 & 0.0141 \\ 
  0.8048 & 0.7649 & 0.7682 & -0.0399 & 0.0082 & 0.0098 \\ 
  3.5652 & 3.6078 & 3.6053 & 0.0426 & 0.0156 & 0.0174 \\ 
  0.8048 & 0.7487 & 0.7537 & -0.0561 & 0.0128 & 0.0159 \\ 
  3.5652 & 3.6214 & 3.6181 & 0.0562 & 0.0199 & 0.0230 \\ 
  0.2910 & 0.2919 & 0.2918 & 0.0009 & 0.0020 & 0.0020 \\ 
  1.0912 & 1.0904 & 1.0904 & -0.0008 & 0.0005 & 0.0005 \\ 
  0.2910 & 0.2913 & 0.2907 & 0.0003 & 0.0021 & 0.0021 \\ 
  1.0912 & 1.0895 & 1.0894 & -0.0017 & 0.0005 & 0.0005 \\ 
  0.2910 & 0.2947 & 0.2937 & 0.0037 & 0.0023 & 0.0023 \\ 
  1.0912 & 1.0899 & 1.0895 & -0.0013 & 0.0005 & 0.0005 \\ 
  0.8000 & 0.7992 & 0.7993 & -0.0008 & 0.0000 & 0.0000 \\ 
  0.8000 & 0.7992 & 0.7993 & -0.0008 & 0.0000 & 0.0000 \\ 
  0.8000 & 0.7987 & 0.7988 & -0.0013 & 0.0000 & 0.0000 \\ 
  0.2000 & 0.1993 & 0.1993 & -0.0007 & 0.0002 & 0.0002 \\ 
  0.2000 & 0.1983 & 0.1984 & -0.0017 & 0.0002 & 0.0002 \\ 
  0.2000 & 0.1998 & 0.1996 & -0.0002 & 0.0002 & 0.0002 \\ 
  0.7854 & 0.7865 & 0.7866 & 0.0011 & 0.0001 & 0.0001 \\ 
  0.7854 & 0.7879 & 0.7878 & 0.0025 & 0.0001 & 0.0001 \\ 
  0.7854 & 0.7887 & 0.7886 & 0.0033 & 0.0001 & 0.0001 \\ 
  0.1126 & 0.1110 & 0.1112 & -0.0016 & 0.0006 & 0.0006 \\ 
  0.1126 & 0.1099 & 0.1101 & -0.0027 & 0.0007 & 0.0007 \\ 
  0.1126 & 0.1104 & 0.1102 & -0.0022 & 0.0007 & 0.0007 \\ 
   \hline
\end{tabular}
\caption{Results of the simulation tests of the BB1-copula in different scenarios. (n=2000, r=500)}
\end{center}
\end{table}



####################################################################

n=500
r=500
d=4
dd=6		# dd=d*(d-1)/2

serie_testen2<-function(copulas,n,lambdaUs=matrix(0,nrow=4,ncol=6),maxiter=500)
{
	# Festsetzen der Parameter
	dd=length(copulas)		#dd=6 (fest)
	r=500
	family=rep(0,dd)

	for(i in 1:dd)
	{
		family[i]=copFam(copulas[i])
	}
	tt=sum(family==2)+sum(family==7)+sum(family==8)

	tau_h=0.8	# high Kendall's tau 
	tau_l=0.2	# low Kendall's tau
	tau=matrix(0,nrow=4,ncol=6)
	tau[1,]=c(tau_h,tau_h,tau_h,tau_h,tau_h,tau_h)
	tau[2,]=c(tau_l,tau_l,tau_l,tau_l,tau_l,tau_l)
	tau[3,]=c(tau_h,tau_h,tau_h,tau_l,tau_l,tau_l)
	tau[4,]=c(tau_l,tau_l,tau_l,tau_h,tau_h,tau_h)

	serie=list(array(rep(0,r*(dd+tt)),c(r,(dd+tt))), array(rep(0,r*(dd+tt)),c(r,(dd+tt))), array(rep(0,r*(dd+tt)),c(r,(dd+tt))), array(rep(0,r*(dd+tt)),c(r,(dd+tt))))

	for(i in 1:4)
	{
		serie[[i]]=testMLE(copulas,n,tau[i,],lambdaUs[i,],r=500,maxiter)
	}
	
return(serie)
}



#Zur Sicherheit noch mal durchlaufen lassen
copulas_serie7=c("BB7","t5","F","N","t10","BB1")
lambda=matrix(0.2,nrow=4,ncol=6)
# Parameter werden in einer Matrix gespeichert (r Zeilen, 10 Spalten)

paramMLE_K7_2000_500=serie_testen2(copulas_serie7,n,lambda)
write(t(paramMLE_K7_2000_500[[1]]),file="paramMLE_K7_2000_500_S1.txt", ncolumns=10)
write(t(paramMLE_K7_2000_500[[2]]),file="paramMLE_K7_2000_500_S2.txt", ncolumns=10)
write(t(paramMLE_K7_2000_500[[3]]),file="paramMLE_K7_2000_500_S3.txt", ncolumns=10)
write(t(paramMLE_K7_2000_500[[4]]),file="paramMLE_K7_2000_500_S4.txt", ncolumns=10)


n=2000
paramMLE_K7_2000_500=serie_testen2(copulas_serie7,n,lambda)
write(t(paramMLE_K7_2000_500[[1]]),file="paramMLE_K7_2000_500_S1.txt", ncolumns=10)
write(t(paramMLE_K7_2000_500[[2]]),file="paramMLE_K7_2000_500_S2.txt", ncolumns=10)
write(t(paramMLE_K7_2000_500[[3]]),file="paramMLE_K7_2000_500_S3.txt", ncolumns=10)
write(t(paramMLE_K7_2000_500[[4]]),file="paramMLE_K7_2000_500_S4.txt", ncolumns=10)


#############################################################

# Auswertung fr mixed C-vine mit n=500 und r=500

tau_h=0.8	# high Kendall's tau 
tau_l=0.2	# low Kendall's tau
tau=matrix(0,nrow=4,ncol=6)
tau[1,]=c(tau_h,tau_h,tau_h,tau_h,tau_h,tau_h)
tau[2,]=c(tau_l,tau_l,tau_l,tau_l,tau_l,tau_l)
tau[3,]=c(tau_h,tau_h,tau_h,tau_l,tau_l,tau_l)
tau[4,]=c(tau_l,tau_l,tau_l,tau_h,tau_h,tau_h)



#paramMLE_K7_500_S1=read.table("paramMLE_K7_500_500_S1.txt")
#paramMLE_K7_500_S2=read.table("paramMLE_K7_500_500_S2.txt")
#paramMLE_K7_500_S3=read.table("paramMLE_K7_500_500_S3.txt")
#paramMLE_K7_500_S4=read.table("paramMLE_K7_500_500_S4.txt")
#paramMLE_K7_500=c(paramMLE_K7_500_S1,paramMLE_K7_500_S2,paramMLE_K7_500_S3,paramMLE_K7_500_S4)
paramMLE_K7_500=read.table("paramMLE_K7_500_500_S1.txt")

copulas=c("BB7","t5","F","N","t10","BB1")

param_K7=matrix(0, ncol=10, nrow=4)
mittelwert_K7=matrix(0, ncol=10, nrow=4)
trim_mean_K7=matrix(0, ncol=10, nrow=4)
bias_K7=matrix(0, ncol=10, nrow=4)
Varianz_K7=matrix(0, ncol=10, nrow=4)
MSE_K7=matrix(0, ncol=10, nrow=4)
mittelwert_tau_K7=matrix(0, ncol=6, nrow=4)
trim_mean_tau_K7=matrix(0, ncol=6, nrow=4)
bias_tau_K7=matrix(0, ncol=6, nrow=4)
Varianz_tau_K7=matrix(0, ncol=6, nrow=4)
MSE_tau_K7=matrix(0, ncol=6, nrow=4)

paramMLE_tau_K7_500=matrix(0, ncol=40, nrow=500)
for(i in 1:10)
{
	if(i==1 || i==11 || i==21 || i==31)
	{
		l=1
		for(j in 1:500)
		{	
			paramMLE_tau_K7_500[j,i]=ftau(c(paramMLE_K7_500[[i]][j],paramMLE_K7_500[[i+6]][j]),copulas[l])
		}
	}
	else if(i==2 || i==12 || i==22 || i==32)
	{
		l=2
		for(j in 1:500)
		{	
			paramMLE_tau_K7_500[j,i]=ftau(paramMLE_K7_500[[i]][j],copulas[l])
		}
	}
	else if(i==3 || i==13 || i==23 || i==33)
	{
		l=3
		for(j in 1:500)
		{	
			paramMLE_tau_K7_500[j,i]=ftau(paramMLE_K7_500[[i]][j],copulas[l])
		}
	}
	else if(i==4 || i==14 || i==24 || i==34)
	{
		l=4
		for(j in 1:500)
		{	
			paramMLE_tau_K7_500[j,i]=ftau(paramMLE_K7_500[[i]][j],copulas[l])
		}
	}
	else if(i==5 || i==15 || i==25 || i==35)
	{
		l=5
		for(j in 1:500)
		{	
			paramMLE_tau_K7_500[j,i]=ftau(paramMLE_K7_500[[i]][j],copulas[l])
		}
	}
	else if(i==6 || i==16 || i==26 || i==36)
	{
		l=6
		for(j in 1:500)
		{	
			paramMLE_tau_K7_500[j,i]=ftau(c(paramMLE_K7_500[[i]][j],paramMLE_K7_500[[i+4]][j]),copulas[l])
		}
	}
}

l=1
j=1
#for(j in 1:4)
#{
	for (i in 1:6)
	{
		param_K7[j,i]=parameter(copulas[i],tau[j,i],lambda[j,i])[1]
		mittelwert_K7[j,i]=mean(paramMLE_K7_500[[l]])
		trim_mean_K7[j,i]=mean(paramMLE_K7_500[[l]], trim=0.05)
		bias_K7[j,i]=mittelwert_K7[j,i]-param_K7[j,i]
		Varianz_K7[j,i]=1/(r-1)*sum((paramMLE_K7_500[[l]]-mittelwert_K7[j,i])^2)
		MSE_K7[j,i]=Varianz_K7[j,i]+bias_K7[j,i]^2
		mittelwert_tau_K7[j,i]=mean(paramMLE_tau_K7_500[,l])
		trim_mean_tau_K7[j,i]=mean(paramMLE_tau_K7_500[,l], trim=0.05)
		bias_tau_K7[j,i]=mittelwert_tau_K7[j,i]-tau[j,i]
		Varianz_tau_K7[j,i]=1/(r-1)*sum((paramMLE_tau_K7_500[,l]-mittelwert_tau_K7[j,i])^2)
		MSE_tau_K7[j,i]=Varianz_tau_K7[j,i]+bias_tau_K7[j,i]^2
		l=l+1
	}
	param_K7[j,7]=parameter(copulas[1],tau[j,1],lambda[j,1])[2]
	mittelwert_K7[j,7]=mean(paramMLE_K7_500[[l]])
	trim_mean_K7[j,7]=mean(paramMLE_K7_500[[l]], trim=0.05)
	bias_K7[j,7]=mittelwert_K7[j,7]-param_K7[j,7]
	Varianz_K7[j,7]=1/(r-1)*sum((paramMLE_K7_500[[l]]-mittelwert_K7[j,7])^2)
	MSE_K7[j,7]=Varianz_K7[j,7]+bias_K7[j,7]^2
	l=l+1
	param_K7[j,8]=5
	mittelwert_K7[j,8]=mean(paramMLE_K7_500[[l]])
	trim_mean_K7[j,8]=mean(paramMLE_K7_500[[l]], trim=0.05)
	bias_K7[j,8]=mittelwert_K7[j,8]-param_K7[j,8]
	Varianz_K7[j,8]=1/(r-1)*sum((paramMLE_K7_500[[l]]-mittelwert_K7[j,8])^2)
	MSE_K7[j,8]=Varianz_K7[j,8]+bias_K7[j,8]^2
	l=l+1
	param_K7[j,9]=10
	mittelwert_K7[j,9]=mean(paramMLE_K7_500[[l]])
	trim_mean_K7[j,9]=mean(paramMLE_K7_500[[l]], trim=0.05)
	bias_K7[j,9]=mittelwert_K7[j,9]-param_K7[j,9]
	Varianz_K7[j,9]=1/(r-1)*sum((paramMLE_K7_500[[l]]-mittelwert_K7[j,9])^2)
	MSE_K7[j,9]=Varianz_K7[j,9]+bias_K7[j,9]^2
	l=l+1
	param_K7[j,10]=parameter(copulas[6],tau[j,6],lambda[j,6])[2]
	mittelwert_K7[j,10]=mean(paramMLE_K7_500[[l]])
	trim_mean_K7[j,10]=mean(paramMLE_K7_500[[l]], trim=0.05)
	bias_K7[j,10]=mittelwert_K7[j,10]-param_K7[j,10]
	Varianz_K7[j,10]=1/(r-1)*sum((paramMLE_K7_500[[l]]-mittelwert_K7[j,10])^2)
	MSE_K7[j,10]=Varianz_K7[j,10]+bias_K7[j,10]^2
	l=l+1
#}

param_K7=cbind(param_K7[,1],param_K7[,7],param_K7[,2],param_K7[,8],param_K7[,3:5],param_K7[,9],param_K7[,6],param_K7[,10])
mittelwert_K7=cbind(mittelwert_K7[,1],mittelwert_K7[,7],mittelwert_K7[,2],mittelwert_K7[,8],mittelwert_K7[,3:5],mittelwert_K7[,9],mittelwert_K7[,6],mittelwert_K7[,10])
trim_mean_K7=cbind(trim_mean_K7[,1],trim_mean_K7[,7],trim_mean_K7[,2],trim_mean_K7[,8],trim_mean_K7[,3:5],trim_mean_K7[,9],trim_mean_K7[,6],trim_mean_K7[,10])
bias_K7=cbind(bias_K7[,1],bias_K7[,7],bias_K7[,2],bias_K7[,8],bias_K7[,3:5],bias_K7[,9],bias_K7[,6],bias_K7[,10])
Varianz_K7=cbind(Varianz_K7[,1],Varianz_K7[,7],Varianz_K7[,2],Varianz_K7[,8],Varianz_K7[,3:5],Varianz_K7[,9],Varianz_K7[,6],Varianz_K7[,10])
MSE_K7=cbind(MSE_K7[,1],MSE_K7[,7],MSE_K7[,2],MSE_K7[,8],MSE_K7[,3:5],MSE_K7[,9],MSE_K7[,6],MSE_K7[,10])
mittelwert_tau_K7_1=cbind(mittelwert_tau_K7[,1],rep(0,4),mittelwert_tau_K7[,2],rep(0,4),mittelwert_tau_K7[,3:5],rep(0,4),mittelwert_tau_K7[,6],rep(0,4))
trim_mean_tau_K7_1=cbind(trim_mean_tau_K7[,1],rep(0,4),trim_mean_tau_K7[,2],rep(0,4),trim_mean_tau_K7[,3:5],rep(0,4),trim_mean_tau_K7[,6],rep(0,4))
bias_tau_K7_1=cbind(bias_tau_K7[,1],rep(0,4),bias_tau_K7[,2],rep(0,4),bias_tau_K7[,3:5],rep(0,4),bias_tau_K7[,6],rep(0,4))
Varianz_tau_K7_1=cbind(Varianz_tau_K7[,1],rep(0,4),Varianz_tau_K7[,2],rep(0,4),Varianz_tau_K7[,3:5],rep(0,4),Varianz_tau_K7[,6],rep(0,4))
MSE_tau_K7_1=cbind(MSE_tau_K7[,1],rep(0,4),MSE_tau_K7[,2],rep(0,4),MSE_tau_K7[,3:5],rep(0,4),MSE_tau_K7[,6],rep(0,4))


scenario=list(matrix(0, ncol=11, nrow=10))
#scenario=list(matrix(0, ncol=11, nrow=10),matrix(0, ncol=11, nrow=10),matrix(0, ncol=11, nrow=10),matrix(0, ncol=11, nrow=10))
i=1
#for(i in 1:4)
#{
	for(j in 1:10)
	{
	scenario[[i]][j,1]=param_K7[i,j]
	scenario[[i]][j,2]=mittelwert_K7[i,j]
	scenario[[i]][j,3]=trim_mean_K7[i,j]
	scenario[[i]][j,4]=bias_K7[i,j]
	scenario[[i]][j,5]=Varianz_K7[i,j]
	scenario[[i]][j,6]=MSE_K7[i,j]
	scenario[[i]][j,7]=mittelwert_tau_K7_1[i,j]
	scenario[[i]][j,8]=trim_mean_tau_K7_1[i,j]
	scenario[[i]][j,9]=bias_tau_K7_1[i,j]
	scenario[[i]][j,10]=Varianz_tau_K7_1[i,j]
	scenario[[i]][j,11]=MSE_tau_K7_1[i,j]
	}
#}
tabelle9=scenario[[1]]
ergeb9=xtable(tabelle9, digits=4, caption="Results of the stability and robustness tests of the copula combination BB7,t5,F,N,t10,BB1 in different scenarios (n=500, r=500) (part 1).")
ergeb10=xtable(tabelle10, digits=4, caption="Results of the stability and robustness tests of the copula combination BB7,t5,F,N,t10,BB1 in different scenarios (n=500, r=500) (part 2).")
print(ergeb9, type="latex", include.rownames = FALSE,include.colnames=FALSE, floating = TRUE, floating.environment="sidewaystable")

################################################################

\begin{sidewaystable}[ht]
\begin{center}
\begin{tabular}{rrrrrrrrrrr}
  \hline
  \hline
  1.1792 & 1.1680 & 1.1723 & -0.0113 & 0.0036 & 0.0037 & 0.7984 & 0.7983 & -0.0016 & 0.0000 & 0.0000 \\ 
  8.4000 & 8.3754 & 8.3759 & -0.0246 & 0.0428 & 0.0434 & 0.0000 & 0.0000 &  0.0000 & 0.0000 & 0.0000 \\ 
  0.9511 & 0.9510 & 0.9510 & -0.0001 & 0.0000 & 0.0000 & 0.7999 & 0.7999 & -0.0001 & 0.0000 & 0.0000 \\ 
  5.0000 & 5.0000 & 5.0010 & -0.0000 & 0.0340 & 0.0340 & 0.0000 & 0.0000 &  0.0000 & 0.0000 & 0.0000 \\ 
  18.100 & 18.094 & 18.095 & -0.0055 & 0.0567 & 0.0567 & 0.7990 & 0.7990 & -0.0010 & 0.0000 & 0.0000 \\ 
  0.9511 & 0.9505 & 0.9512 & -0.0006 & 0.0001 & 0.0001 & 0.7993 & 0.8003 & -0.0007 & 0.0002 & 0.0002 \\ 
  0.9511 & 0.9504 & 0.9512 & -0.0006 & 0.0001 & 0.0001 & 0.7993 & 0.8003 & -0.0007 & 0.0002 & 0.0002 \\ 
  10.000 & 10.101 & 10.030 &  0.1015 & 2.1732 & 2.1835 & 0.0000 & 0.0000 &  0.0000 & 0.0000 & 0.0000 \\ 
  6.4800 & 6.4627 & 6.4681 & -0.0172 & 0.7662 & 0.7665 & 0.8002 & 0.8003 &  0.0002 & 0.0001 & 0.0001 \\ 
  1.1792 & 1.1973 & 1.1925 &  0.0181 & 0.0142 & 0.0145 & 0.0000 & 0.0000 &  0.0000 & 0.0000 & 0.0000 \\ 
   \hline
\end{tabular}
\caption{Results of the stability and robustness tests of the copula combination BB7,t5,F,N,t10,BB1 in different scenarios (n=500, r=500) (part 1).}
\end{center}
\end{sidewaystable}



################################################################


# Auswertung fr mixed C-vine mit n=2000 und r=500

tau_h=0.8	# high Kendall's tau 
tau_l=0.2	# low Kendall's tau
tau=matrix(0,nrow=4,ncol=6)
tau[1,]=c(tau_h,tau_h,tau_h,tau_h,tau_h,tau_h)
tau[2,]=c(tau_l,tau_l,tau_l,tau_l,tau_l,tau_l)
tau[3,]=c(tau_h,tau_h,tau_h,tau_l,tau_l,tau_l)
tau[4,]=c(tau_l,tau_l,tau_l,tau_h,tau_h,tau_h)



#paramMLE_K7_2000_S1=read.table("paramMLE_K7_2000_500_S1.txt")
#paramMLE_K7_2000_S2=read.table("paramMLE_K7_2000_500_S2.txt")
#paramMLE_K7_2000_S3=read.table("paramMLE_K7_2000_500_S3.txt")
#paramMLE_K7_2000_S4=read.table("paramMLE_K7_2000_500_S4.txt")
#paramMLE_K7_2000=c(paramMLE_K7_2000_S1,paramMLE_K7_2000_S2,paramMLE_K7_2000_S3,paramMLE_K7_2000_S4)
paramMLE_K7_2000=read.table("paramMLE_K7_2000_500_S1.txt")

copulas=c("BB7","t5","F","N","t10","BB1")

param_K7=matrix(0, ncol=10, nrow=4)
mittelwert_K7=matrix(0, ncol=10, nrow=4)
trim_mean_K7=matrix(0, ncol=10, nrow=4)
bias_K7=matrix(0, ncol=10, nrow=4)
Varianz_K7=matrix(0, ncol=10, nrow=4)
MSE_K7=matrix(0, ncol=10, nrow=4)
mittelwert_tau_K7=matrix(0, ncol=6, nrow=4)
trim_mean_tau_K7=matrix(0, ncol=6, nrow=4)
bias_tau_K7=matrix(0, ncol=6, nrow=4)
Varianz_tau_K7=matrix(0, ncol=6, nrow=4)
MSE_tau_K7=matrix(0, ncol=6, nrow=4)

paramMLE_tau_K7_2000=matrix(0, ncol=40, nrow=500)
for(i in 1:10)
{
	if(i==1 || i==11 || i==21 || i==31)
	{
		l=1
		for(j in 1:500)
		{	
			paramMLE_tau_K7_2000[j,i]=ftau(c(paramMLE_K7_2000[[i]][j],paramMLE_K7_2000[[i+6]][j]),copulas[l])
		}
	}
	else if(i==2 || i==12 || i==22 || i==32)
	{
		l=2
		for(j in 1:500)
		{	
			paramMLE_tau_K7_2000[j,i]=ftau(paramMLE_K7_2000[[i]][j],copulas[l])
		}
	}
	else if(i==3 || i==13 || i==23 || i==33)
	{
		l=3
		for(j in 1:500)
		{	
			paramMLE_tau_K7_2000[j,i]=ftau(paramMLE_K7_2000[[i]][j],copulas[l])
		}
	}
	else if(i==4 || i==14 || i==24 || i==34)
	{
		l=4
		for(j in 1:500)
		{	
			paramMLE_tau_K7_2000[j,i]=ftau(paramMLE_K7_2000[[i]][j],copulas[l])
		}
	}
	else if(i==5 || i==15 || i==25 || i==35)
	{
		l=5
		for(j in 1:500)
		{	
			paramMLE_tau_K7_2000[j,i]=ftau(paramMLE_K7_2000[[i]][j],copulas[l])
		}
	}
	else if(i==6 || i==16 || i==26 || i==36)
	{
		l=6
		for(j in 1:500)
		{	
			paramMLE_tau_K7_2000[j,i]=ftau(c(paramMLE_K7_2000[[i]][j],paramMLE_K7_2000[[i+4]][j]),copulas[l])
		}
	}
}

l=1
j=1
#for(j in 1:4)
#{
	for (i in 1:6)
	{
		param_K7[j,i]=parameter(copulas[i],tau[j,i],lambda[j,i])[1]
		mittelwert_K7[j,i]=mean(paramMLE_K7_2000[[l]])
		trim_mean_K7[j,i]=mean(paramMLE_K7_2000[[l]], trim=0.05)
		bias_K7[j,i]=mittelwert_K7[j,i]-param_K7[j,i]
		Varianz_K7[j,i]=1/(r-1)*sum((paramMLE_K7_2000[[l]]-mittelwert_K7[j,i])^2)
		MSE_K7[j,i]=Varianz_K7[j,i]+bias_K7[j,i]^2
		mittelwert_tau_K7[j,i]=mean(paramMLE_tau_K7_2000[,l])
		trim_mean_tau_K7[j,i]=mean(paramMLE_tau_K7_2000[,l], trim=0.05)
		bias_tau_K7[j,i]=mittelwert_tau_K7[j,i]-tau[j,i]
		Varianz_tau_K7[j,i]=1/(r-1)*sum((paramMLE_tau_K7_2000[,l]-mittelwert_tau_K7[j,i])^2)
		MSE_tau_K7[j,i]=Varianz_tau_K7[j,i]+bias_tau_K7[j,i]^2
		l=l+1
	}
	param_K7[j,7]=parameter(copulas[1],tau[j,1],lambda[j,1])[2]
	mittelwert_K7[j,7]=mean(paramMLE_K7_2000[[l]])
	trim_mean_K7[j,7]=mean(paramMLE_K7_2000[[l]], trim=0.05)
	bias_K7[j,7]=mittelwert_K7[j,7]-param_K7[j,7]
	Varianz_K7[j,7]=1/(r-1)*sum((paramMLE_K7_2000[[l]]-mittelwert_K7[j,7])^2)
	MSE_K7[j,7]=Varianz_K7[j,7]+bias_K7[j,7]^2
	l=l+1
	param_K7[j,8]=5
	mittelwert_K7[j,8]=mean(paramMLE_K7_2000[[l]])
	trim_mean_K7[j,8]=mean(paramMLE_K7_2000[[l]], trim=0.05)
	bias_K7[j,8]=mittelwert_K7[j,8]-param_K7[j,8]
	Varianz_K7[j,8]=1/(r-1)*sum((paramMLE_K7_2000[[l]]-mittelwert_K7[j,8])^2)
	MSE_K7[j,8]=Varianz_K7[j,8]+bias_K7[j,8]^2
	l=l+1
	param_K7[j,9]=10
	mittelwert_K7[j,9]=mean(paramMLE_K7_2000[[l]])
	trim_mean_K7[j,9]=mean(paramMLE_K7_2000[[l]], trim=0.05)
	bias_K7[j,9]=mittelwert_K7[j,9]-param_K7[j,9]
	Varianz_K7[j,9]=1/(r-1)*sum((paramMLE_K7_2000[[l]]-mittelwert_K7[j,9])^2)
	MSE_K7[j,9]=Varianz_K7[j,9]+bias_K7[j,9]^2
	l=l+1
	param_K7[j,10]=parameter(copulas[6],tau[j,6],lambda[j,6])[2]
	mittelwert_K7[j,10]=mean(paramMLE_K7_2000[[l]])
	trim_mean_K7[j,10]=mean(paramMLE_K7_2000[[l]], trim=0.05)
	bias_K7[j,10]=mittelwert_K7[j,10]-param_K7[j,10]
	Varianz_K7[j,10]=1/(r-1)*sum((paramMLE_K7_2000[[l]]-mittelwert_K7[j,10])^2)
	MSE_K7[j,10]=Varianz_K7[j,10]+bias_K7[j,10]^2
	l=l+1
#}

param_K7=cbind(param_K7[,1],param_K7[,7],param_K7[,2],param_K7[,8],param_K7[,3:5],param_K7[,9],param_K7[,6],param_K7[,10])
mittelwert_K7=cbind(mittelwert_K7[,1],mittelwert_K7[,7],mittelwert_K7[,2],mittelwert_K7[,8],mittelwert_K7[,3:5],mittelwert_K7[,9],mittelwert_K7[,6],mittelwert_K7[,10])
trim_mean_K7=cbind(trim_mean_K7[,1],trim_mean_K7[,7],trim_mean_K7[,2],trim_mean_K7[,8],trim_mean_K7[,3:5],trim_mean_K7[,9],trim_mean_K7[,6],trim_mean_K7[,10])
bias_K7=cbind(bias_K7[,1],bias_K7[,7],bias_K7[,2],bias_K7[,8],bias_K7[,3:5],bias_K7[,9],bias_K7[,6],bias_K7[,10])
Varianz_K7=cbind(Varianz_K7[,1],Varianz_K7[,7],Varianz_K7[,2],Varianz_K7[,8],Varianz_K7[,3:5],Varianz_K7[,9],Varianz_K7[,6],Varianz_K7[,10])
MSE_K7=cbind(MSE_K7[,1],MSE_K7[,7],MSE_K7[,2],MSE_K7[,8],MSE_K7[,3:5],MSE_K7[,9],MSE_K7[,6],MSE_K7[,10])
mittelwert_tau_K7_1=cbind(mittelwert_tau_K7[,1],rep(0,4),mittelwert_tau_K7[,2],rep(0,4),mittelwert_tau_K7[,3:5],rep(0,4),mittelwert_tau_K7[,6],rep(0,4))
trim_mean_tau_K7_1=cbind(trim_mean_tau_K7[,1],rep(0,4),trim_mean_tau_K7[,2],rep(0,4),trim_mean_tau_K7[,3:5],rep(0,4),trim_mean_tau_K7[,6],rep(0,4))
bias_tau_K7_1=cbind(bias_tau_K7[,1],rep(0,4),bias_tau_K7[,2],rep(0,4),bias_tau_K7[,3:5],rep(0,4),bias_tau_K7[,6],rep(0,4))
Varianz_tau_K7_1=cbind(Varianz_tau_K7[,1],rep(0,4),Varianz_tau_K7[,2],rep(0,4),Varianz_tau_K7[,3:5],rep(0,4),Varianz_tau_K7[,6],rep(0,4))
MSE_tau_K7_1=cbind(MSE_tau_K7[,1],rep(0,4),MSE_tau_K7[,2],rep(0,4),MSE_tau_K7[,3:5],rep(0,4),MSE_tau_K7[,6],rep(0,4))


scenario=list(matrix(0, ncol=11, nrow=10))
#scenario=list(matrix(0, ncol=11, nrow=10),matrix(0, ncol=11, nrow=10),matrix(0, ncol=11, nrow=10),matrix(0, ncol=11, nrow=10))
i=1
#for(i in 1:4)
#{
	for(j in 1:10)
	{
	scenario[[i]][j,1]=param_K7[i,j]
	scenario[[i]][j,2]=mittelwert_K7[i,j]
	scenario[[i]][j,3]=trim_mean_K7[i,j]
	scenario[[i]][j,4]=bias_K7[i,j]
	scenario[[i]][j,5]=Varianz_K7[i,j]
	scenario[[i]][j,6]=MSE_K7[i,j]
	scenario[[i]][j,7]=mittelwert_tau_K7_1[i,j]
	scenario[[i]][j,8]=trim_mean_tau_K7_1[i,j]
	scenario[[i]][j,9]=bias_tau_K7_1[i,j]
	scenario[[i]][j,10]=Varianz_tau_K7_1[i,j]
	scenario[[i]][j,11]=MSE_tau_K7_1[i,j]
	}
#}
tabelle9=scenario[[1]]
#tabelle9=rbind(scenario[[1]],scenario[[2]])
#tabelle10=rbind(scenario[[3]],scenario[[4]])
ergeb9=xtable(tabelle9, digits=4, caption="Results of the stability and robustness tests of the copula combination BB7,t5,F,N,t10,BB1 in different scenarios (n=2000, r=500) (part 1).")
#ergeb10=xtable(tabelle10, digits=4, caption="Results of the stability and robustness tests of the copula combination BB7,t5,F,N,t10,BB1 in different scenarios (n=2000, r=500) (part 2).")
print(ergeb9, type="latex", include.rownames = FALSE,include.colnames=FALSE, floating = TRUE, floating.environment="sidewaystable")
#print(ergeb10, type="latex", include.rownames = FALSE,include.colnames=FALSE, floating = TRUE, floating.environment="sidewaystable")


##############################################

\begin{sidewaystable}[ht]
\begin{center}
\begin{tabular}{rrrrrrrrrrr}
  \hline
  \hline
1.1792 & 1.1777 & 1.1786 & -0.0015 & 0.0005 & 0.0005 & 0.7984 & 0.7983 & -0.0016 & 0.0000 & 0.0000 \\ 
  8.4000 & 8.3994 & 8.3977 & -0.0006 & 0.0094 & 0.0094 & 0.0000 & 0.0000 & 0.0000 & 0.0000 & 0.0000 \\ 
  0.9511 & 0.9511 & 0.9511 & 0.0000 & 0.0000 & 0.0000 & 0.8001 & 0.8001 & 0.0001 & 0.0000 & 0.0000 \\ 
  5.0000 & 5.0047 & 5.0046 & 0.0047 & 0.0067 & 0.0068 & 0.0000 & 0.0000 & 0.0000 & 0.0000 & 0.0000 \\ 
  18.1000 & 18.1066 & 18.1046 & 0.0066 & 0.0153 & 0.0154 & 0.7991 & 0.7991 & -0.0009 & 0.0000 & 0.0000 \\ 
  0.9511 & 0.9506 & 0.9509 & -0.0005 & 0.0000 & 0.0000 & 0.7991 & 0.7997 & -0.0009 & 0.0000 & 0.0000 \\ 
  0.9511 & 0.9505 & 0.9509 & -0.0005 & 0.0000 & 0.0000 & 0.7990 & 0.7997 & -0.0010 & 0.0001 & 0.0001 \\ 
  10.0000 & 9.9341 & 9.9247 & -0.0659 & 0.4198 & 0.4242 & 0.0000 & 0.0000 & 0.0000 & 0.0000 & 0.0000 \\ 
  6.4800 & 6.4344 & 6.4302 & -0.0456 & 0.2013 & 0.2034 & 0.7996 & 0.7994 & -0.0004 & 0.0000 & 0.0000 \\ 
  1.1792 & 1.1869 & 1.1860 & 0.0076 & 0.0033 & 0.0034 & 0.0000 & 0.0000 & 0.0000 & 0.0000 & 0.0000 \\ 
   \hline
\end{tabular}
\caption{Results of the stability and robustness tests of the copula combination BB7,t5,F,N,t10,BB1 in different scenarios (n=2000, r=500) (part 1).}
\end{center}
\end{sidewaystable}

